FAQ
Hi,

I'm trying to compile Postgres 6.4.2 on a DEC/Alpha 800 system running Digital UNIX 4.0D. I've compiled gcc-2.8.0, flex-2.5.4, bison 1.28, and zlib-1.1.3. It first starts to generate fatal errors out in the /src/backend/storage/buffer directory:

make[3]: Entering directory `/usr/local/src/postgresql-6.4.2/src/backend/storage/buffer'
gcc -I../../../include -I../../../backend -DNOFIXADE -Wall -Wmissing-prototypes -I../.. -c buf_table.c -o buf_table.o
gcc -I../../../include -I../../../backend -DNOFIXADE -Wall -Wmissing-prototypes -I../.. -c buf_init.c -o buf_init.o
../../../include/storage/s_lock.h: In function `tas':
In file included from buf_init.c:29:
../../../include/storage/s_lock.h:102: aggregate value used where an integer was expected
buf_init.c: In function `InitBufferPool':
buf_init.c:234: incompatible types in assignment
make[3]: *** [buf_init.o] Error 1

I read that Postgres 6.4 complied on my platform but had to have some minor patches installed. Could I be directed to the location where I could find and install these patches?

Thanks in advance for any help

Yours,

Gerald D'Costa
Web/Systems Administrator
Cybersurf Corporation

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedJul 20, '99 at 5:09p
activeJul 20, '99 at 5:09p
posts1
users1
websitepostgresql.org
irc#postgresql

1 user in discussion

Gerry D'Costa: 1 post

People

Translate

site design / logo © 2022 Grokbase